package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope.view;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_VIEW_DATA_SCOPE"
)
public class TViewDataScope extends TBaseEntity {
   private String description;
   private String datasystem_name;
   private String tschemas;
   private String names;
   private String columnid;
   private String fields;

   public String getDescription() {
      return this.description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getDatasystem_name() {
      return this.datasystem_name;
   }

   public void setDatasystem_name(String datasystem_name) {
      this.datasystem_name = datasystem_name;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getFields() {
      return this.fields;
   }

   public void setFields(String fields) {
      this.fields = fields;
   }

   public String getColumnid() {
      return this.columnid;
   }

   public void setColumnid(String columnid) {
      this.columnid = columnid;
   }
}
